Table of Contents

## Name

Blt_TreeName - Returns the name of the tree data object.

## Synopsis

    #include <bltTree.h>

    char *
    Blt_TreeName(tree)

## Arguments

Blt_Tree tree`` `` (in)
`` `` Token for the tree object.

## Description

This procedure returns the name of the C-based tree data object. The arguments are as follows:

tree
  Token for the tree object. The token must have been previously obtained via Blt_TreeGetToken or Blt_TreeCreate.

## Returns

The name of the tree object is returned. The name will be fully qualified with a namespace context.

## Example

The following example prints the name of the new tree.
`Blt_Tree token;

if (Blt_TreeCreate(interp, NULL, &token) != TCL_OK) {
return TCL_ERROR;
}
printf("tree is %s\n", Blt_TreeName(token));

##

`Keywords Tcl_TreeGetToken, Tcl_TreeExists, Tcl_TreeReleaseToken

Table of Contents

- Name
- Synopsis
- Arguments
- Description
- Returns
- Example
- Keywords